Subject: Re: bug#1806: dired-pop-to-buffer in wrong place

From: martin rudalics <[email-masked]>
Date: Fri, 09 Jan 2009 10:30:37 +0100

>> But none of these provide the behavior wanted by Juri.  He wants to
 >> split the selected window which runs counter to the `pop-up-frames'
 >> non-nil ideology.
 >
 > `same-frame' provides some of the behavior he wants.  If the user who
 > sets pop-up-frames is disappointed that it doesn't bring up a frame, she
 > can set her special-display-buffer-name so as to override that
 > `same-frame' attribute.

That's not what I meant.  The old `dired-pop-to-buffer' did split the
window regardless of what `pop-up-frames' was set to and Juri wants to
get the old behavior back.  The question is whether we want
`pop-up-frames' non-nil override that.  Currently, `pop-up-frames'
non-nil does bring up a separate frame.

martin